Limerence
Google chat

Create Google Chat Config

Create Google Chat configuration with default agent

POST
/google-chat/config

Create Google Chat configuration with default agent

Authorization

X-API-Key<token>

Use X-API-Key: .

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/google-chat/config" \  -H "Content-Type: application/json" \  -d '{    "agentId": "string"  }'
{  "config": {    "agent": {      "id": "string",      "name": "string"    },    "connectedBy": {      "email": null,      "name": "string"    },    "createdAt": "string",    "enabled": true,    "id": "string"  }}
{  "cause": {    "code": "api/invalid-json",    "detail": "string"  },  "message": "The request body is not valid JSON"}
{  "cause": {    "code": "auth/jwt-invalid",    "detail": "malformed"  },  "message": "Token verification failed"}
{  "cause": {    "code": "api/no-active-team",    "detail": "You must have an active team. Please select a team to continue."  },  "message": "No active team"}
{  "cause": {    "code": "google-chat/already-configured",    "detail": "Google Chat is already configured for this team. Update the existing config instead."  },  "message": "Google Chat already configured"}
{  "cause": {    "code": "api/unsupported-media-type",    "detail": "GET requests cannot have a content type header"  },  "message": "Unsupported Media Type"}